net.i2p.router.web.helpers

## Class WizardHelper

- java.lang.Object
- - net.i2p.router.web.HelperBase
  - - net.i2p.router.web.helpers.WizardHelper

-     public class WizardHelper
      extends HelperBase

  The new user wizard. This bean has SESSION scope so the results may be retrieved. All necessary methods are synchronized.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static float` | `BW_SCALE`
    `static String` | `PROP_COMPLETE`

    - ### Fields inherited from class net.i2p.router.web.HelperBase

      `_context, _out, CHECKED, PROP_ADVANCED, SELECTED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WizardHelper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) boolean` | `cancelNDT()` Cancel the test.
    `void` | `complete()`
    `String` | `getCompletionStatus()`
    `String` | `getDetailStatus()`
    `long` | `getDownBandwidth()`
    `String` | `getInboundBurstRate()` To populate form with.
    `String` | `getInboundBurstRateBits()` Copied from ConfigNetHelper.
    `String` | `getOutboundBurstRate()` To populate form with.
    `String` | `getOutboundBurstRateBits()` Copied from ConfigNetHelper.
    `String` | `getServerLocation()`
    `int` | `getShareBandwidth()` Adapted from ConfigNetHelper.
    `String` | `getShareRateBits()` Copied from ConfigNetHelper.
    `String` | `getTestStatus()`
    `long` | `getUpBandwidth()`
    `boolean` | `isNDTComplete()`
    `boolean` | `isNDTRunning()`
    `boolean` | `isNDTSuccessful()`
    `void` | `setContextId(String contextId)` Overriden to only do this once.
    `(package private) boolean` | `startNDT()` Start the test.

    - ### Methods inherited from class net.i2p.router.web.HelperBase

      `_t, _t, _t, _x, getChecked, getCheckedDefaultTrue, isAdvanced, ngettext, storeWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BW_SCALE

          public static final float BW_SCALE

      See Also:
        Constant Field Values

    - #### PROP_COMPLETE

          public static final String PROP_COMPLETE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WizardHelper

          public WizardHelper()

  - ### Method Detail

    - #### cancelNDT

          boolean cancelNDT()

      Cancel the test. Called from the Handler.
      Returns:
        success

    - #### complete

          public void complete()

    - #### getCompletionStatus

          public String getCompletionStatus()

      Returns:
        HTML-escaped status string or ""

    - #### getDetailStatus

          public String getDetailStatus()

      Returns:
        HTML-escaped status string or ""

    - #### getDownBandwidth

          public long getDownBandwidth()

      Returns:
        bytes per second or 0

    - #### getInboundBurstRate

          public String getInboundBurstRate()

      To populate form with. Uses the test result if available, else the current setting Adapted from ConfigNetHelper.
      Returns:
        decimal KBytes/sec

    - #### getInboundBurstRateBits

          public String getInboundBurstRateBits()

      Copied from ConfigNetHelper.
      Returns:
        decimal

    - #### getOutboundBurstRate

          public String getOutboundBurstRate()

      To populate form with. Uses the test result if available, else the current setting Adapted from ConfigNetHelper.
      Returns:
        decimal KBytes/sec

    - #### getOutboundBurstRateBits

          public String getOutboundBurstRateBits()

      Copied from ConfigNetHelper.
      Returns:
        decimal

    - #### getServerLocation

          public String getServerLocation()

      Returns:
        HTML-escaped location or ""

    - #### getShareBandwidth

          public int getShareBandwidth()

      Adapted from ConfigNetHelper.
      Returns:
        in binary KBytes per second

    - #### getShareRateBits

          public String getShareRateBits()

      Copied from ConfigNetHelper.
      Returns:
        decimal

    - #### getTestStatus

          public String getTestStatus()

      Returns:
        HTML-escaped status string or ""

    - #### getUpBandwidth

          public long getUpBandwidth()

      Returns:
        bytes per second or 0

    - #### isNDTComplete

          public boolean isNDTComplete()

    - #### isNDTRunning

          public boolean isNDTRunning()

    - #### isNDTSuccessful

          public boolean isNDTSuccessful()

    - #### setContextId

          public void setContextId(String contextId)

      Overriden to only do this once.
      Overrides:
        `setContextId` in class `HelperBase`
      Parameters:
        `contextId` - beginning few characters of the routerHash, or null to pick the first one we come across.

    - #### startNDT

          boolean startNDT()

      Start the test. Called from the Handler.
      Returns:
        success